catalog:
  title: Fleximir App

templates:
- projects-corlab
- maven
- base

variables:
  description: Fleximir App
  keywords:
  - AWARE
  - Java
  - Fleximir
  access: private

  repository: https://fleximon.cor-lab.de/git/fleximir.git
  scm.credentials: fleximon.cor-lab

  branches:
  - master
  - userStudy

  extra-provides:
  - nature: projects-corlab
    target: fleximir-app-java
    #version: ${version-name}

  extra-requires:
  - nature: projects-corlab
    target: aware-core-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-hmi-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-plugin-neo4j-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-hmi-jfx-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-plugin-robot-skills-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-plugin-carriermanagement-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-plugin-stopstation-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-plugin-sps-java
    #version: ${version-name}

  - nature: projects-corlab
    target: aware-plugin-ifm-java
    #version: ${version-name}

